Package anbxj

# Class Crypto_SignedPair

java.lang.Object
anbxj.Crypto_SignedPair

All Implemented Interfaces:
  `Serializable`

public class Crypto_SignedPair extends Object implements Serializable
Represents a signed pair of objects (SignedObject, Object) used for digital signatures.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_SignedPair(SignedObject signedObject, Object signedContent, String signatureScheme)`
  Constructs a Crypto_SignedPair with the specified SignedObject, object, and signature scheme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getSignatureScheme()`
  Gets the signature scheme used for digital signatures.
  `Object`
  `getSignedContent()`
  Gets the signed content in the signed pair.
  `SignedObject`
  `getSignedObject()`
  Gets the SignedObject in the signed pair.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Crypto_SignedPair

    public Crypto_SignedPair(SignedObject signedObject, Object signedContent, String signatureScheme)
    Constructs a Crypto_SignedPair with the specified SignedObject, object, and signature scheme.
    Parameters:
      `signedObject` - The SignedObject.
      `signedContent` - The object.
      `signatureScheme` - The signature scheme used for digital signatures.

- ## Method Details

  - ### getSignedContent

    public Object getSignedContent()
    Gets the signed content in the signed pair.
    Returns:
      The signed content.

  - ### getSignatureScheme

    public String getSignatureScheme()
    Gets the signature scheme used for digital signatures.
    Returns:
      The signature scheme.

  - ### getSignedObject

    public SignedObject getSignedObject()
    Gets the SignedObject in the signed pair.
    Returns:
      The SignedObject.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`